<?php

namespace Ulmus\Adapter;

use Ulmus\Common\PdoObject;

interface AdapterInterface {
    public const IDENTIFIER_FIELD = 1;
    public const IDENTIFIER_TABLE = 2;
    public const IDENTIFIER_DATABASE = 3;
    public const IDENTIFIER_SCHEMA = 4;
    
    public function connect() : PdoObject;
    public function buildDataSourceName() : string;
    public function setup(array $configuration) : void;
    public function escapeIdentifier(string $segment, int $type) : string;
}
